[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# ThemeServices

Provides access to the Theme Services singleton for the widgetset.

## Declaration

Source position: themes.pas line 513

`function ThemeServices: TThemeServices;`

## Function result

TThemeServices instance for the widgetset.

## Description

ThemeServices is a TThemeServices function used to get the theme services singleton for the current widgetset. The return value is a TThemeServices descendant which implement the theming API for a specific widgetset / platform.